/**   
* @Title: WxItem.java 
* @Package com.platform.pojo 
* @Description: TODO(用一句话描述该文件做什么) 
* @author kiosk
* @date 2017年9月18日 下午6:59:05 
* @version V1.0   
*/
package com.platform.pojo;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/** 
* @ClassName: WxItem 
* @Description: TODO(这里用一句话描述这个类的作用) 
* @author lyp
* @date 2017年9月18日 下午6:59:05 
*  
*/
public class WxItem {
	@XmlAccessorType(XmlAccessType.FIELD)  
	@XmlType(propOrder = { "time_end", "appid", "mch_id", "device_info", "transaction_id", "out_trade_no", "openid", "trade_type", "total_fee", "refund_id", "out_refund_no","refund_status"}) 
	public class Item {
		@XmlElement(name = "time_end")  
		private String timeEnd;
		@XmlElement(name = "appid") 
		private String appid;
		@XmlElement(name = "mch_id") 
		private String mchId;
		@XmlElement(name = "device_info") 
		private String deviceInfo;
		@XmlElement(name = "transaction_id") 
		private String transactionId;
		@XmlElement(name = "out_trade_no") 
		private String outTradeNo;
		@XmlElement(name = "openid") 
		private String openId;
		@XmlElement(name = "trade_type") 
		private String tradeType;
		@XmlElement(name = "total_fee") 
		private String totalFee;
		@XmlElement(name = "refund_id") 
		private String refundId;
		@XmlElement(name = "refund_status") 
		private String refundStatus;
		/**
		 * @return the timeEnd
		 */
		public String getTimeEnd() {
			return timeEnd;
		}
		/**
		 * @param timeEnd the timeEnd to set
		 */
		public void setTimeEnd(String timeEnd) {
			this.timeEnd = timeEnd;
		}
		/**
		 * @return the appid
		 */
		public String getAppid() {
			return appid;
		}
		/**
		 * @param appid the appid to set
		 */
		public void setAppid(String appid) {
			this.appid = appid;
		}
		/**
		 * @return the mchId
		 */
		public String getMchId() {
			return mchId;
		}
		/**
		 * @param mchId the mchId to set
		 */
		public void setMchId(String mchId) {
			this.mchId = mchId;
		}
		/**
		 * @return the deviceInfo
		 */
		public String getDeviceInfo() {
			return deviceInfo;
		}
		/**
		 * @param deviceInfo the deviceInfo to set
		 */
		public void setDeviceInfo(String deviceInfo) {
			this.deviceInfo = deviceInfo;
		}
		/**
		 * @return the transactionId
		 */
		public String getTransactionId() {
			return transactionId;
		}
		/**
		 * @param transactionId the transactionId to set
		 */
		public void setTransactionId(String transactionId) {
			this.transactionId = transactionId;
		}
		/**
		 * @return the outTradeNo
		 */
		public String getOutTradeNo() {
			return outTradeNo;
		}
		/**
		 * @param outTradeNo the outTradeNo to set
		 */
		public void setOutTradeNo(String outTradeNo) {
			this.outTradeNo = outTradeNo;
		}
		/**
		 * @return the openId
		 */
		public String getOpenId() {
			return openId;
		}
		/**
		 * @param openId the openId to set
		 */
		public void setOpenId(String openId) {
			this.openId = openId;
		}
		/**
		 * @return the tradeType
		 */
		public String getTradeType() {
			return tradeType;
		}
		/**
		 * @param tradeType the tradeType to set
		 */
		public void setTradeType(String tradeType) {
			this.tradeType = tradeType;
		}
		/**
		 * @return the totalFee
		 */
		public String getTotalFee() {
			return totalFee;
		}
		/**
		 * @param totalFee the totalFee to set
		 */
		public void setTotalFee(String totalFee) {
			this.totalFee = totalFee;
		}
		/**
		 * @return the refundId
		 */
		public String getRefundId() {
			return refundId;
		}
		/**
		 * @param refundId the refundId to set
		 */
		public void setRefundId(String refundId) {
			this.refundId = refundId;
		}
		/**
		 * @return the refundStatus
		 */
		public String getRefundStatus() {
			return refundStatus;
		}
		/**
		 * @param refundStatus the refundStatus to set
		 */
		public void setRefundStatus(String refundStatus) {
			this.refundStatus = refundStatus;
		}		
		
	}
	
}
